/*===============================================================
 * Project: libferit
 * Author : Terry 'Mongoose' Hendrix
 * Website: http://www.westga.edu/~stu7440/
 * Email  : stu7440@westga.edu
 * Object : Ftp
 * Comment: Ftp module.
 *
 *-- History -----------------------------------------------
 *
 * See source file.
 *
 ==============================================================*/

#ifndef __MONGOOSE_LIBFERIT_FTP_H
#define __MONGOOSE_LIBFERIT_FTP_H

#include "TcpProtocol.h"

class Ftp : public TcpProtocol
{
public:

   Ftp(int timeout);
   /*-------------------------------------------
    * Created  : 2000 01 23 by Terry Hendrix II
    * Modified : NA
    * Pre      : 
    * Post     : 
    -------------------------------------------*/

   virtual ~Ftp();
   /*-------------------------------------------
    * Created  : 2000 01 23 by Terry Hendrix II
    * Modified : NA
    * Pre      : 
    * Post     : 
    -------------------------------------------*/

   int Interactive(Url *url, int ctrl_sock, int data_sock, int passive);
   char *Command();

   int Download(Url *url, char *filename);
   /*-------------------------------------------
    * Created  : 2000 01 23 by Terry Hendrix II
    * Modified : NA
    * Pre      : 
    * Post     : 
    -------------------------------------------*/

   void Quit(int sock);
   /*-------------------------------------------
    * Created  : 2000 01 23 by Terry Hendrix II
    * Modified : NA
    * Pre      : 
    * Post     : 
    -------------------------------------------*/

   void SetDefaults(Url *url);
   /*-------------------------------------------
    * Created  : 2000 01 23 by Terry Hendrix II
    * Modified : NA
    * Pre      : 
    * Post     : 
    -------------------------------------------*/

   void SendControl(int sock, char *string, ...);
   /*-------------------------------------------
    * Created  : 2000 01 23 by Terry Hendrix II
    * Modified : NA
    * Pre      : 
    * Post     : 
    -------------------------------------------*/

   char *GetLine(Url *url, int control);
   /*-------------------------------------------
    * Created  : 2000 01 23 by Terry Hendrix II
    * Modified : NA
    * Pre      : 
    * Post     : 
    -------------------------------------------*/

   int CheckNumeric(const char *numeric, const char *buf);
   /*-------------------------------------------
    * Created  : 2000 01 23 by Terry Hendrix II
    * Modified : NA
    * Pre      : 
    * Post     : 
    -------------------------------------------*/

   int SockInit(struct sockaddr_in *sa, int control);
   /*-------------------------------------------
    * Created  : 2000 01 23 by Terry Hendrix II
    * Modified : NA
    * Pre      : 
    * Post     : 
    -------------------------------------------*/

   int GetPassiveSock(Url *url, int control);
   /*-------------------------------------------
    * Created  : 2000 01 23 by Terry Hendrix II
    * Modified : NA
    * Pre      : 
    * Post     : 
    -------------------------------------------*/

   int GetSock(Url *url, int control);
   /*-------------------------------------------
    * Created  : 2000 01 23 by Terry Hendrix II
    * Modified : NA
    * Pre      : 
    * Post     : 
    -------------------------------------------*/

 private:
};

#endif




	
