#ifndef __MONGOOSE_LIBSNARF_UTILS_H
#define __MONGOOSE_LIBSNARF_UTILS_H

#include <errno.h>
extern int errno;

#define BUFSIZE (5*2048)

char *base64(char *bin, int len);
char *string_lowercase(char *string);
off_t get_file_size(const char *file);
char *strconcat(const char *string1, ...);
char *mon_strdup(char *src);
int caseless_charcmp(char c, char d);
int caseless_strcmp(char *s, char *t);
int compare(char *s0, char *s1);

   char *clean_filename(char *old_filename);
   /*-------------------------------------------
    * Created  : 2000 01 23 by Terry Hendrix II
    * Modified : NA
    * Pre      : Old_filename is valid string
    * Post     : Returns a filename formatted for 
    *            UNIX fs ( no spaces, etc ) 
    -------------------------------------------*/

#endif
